package at.jku.ssw.redblacktree.test;

import org.junit.Assert;

import at.jku.ssw.Iterator;

public abstract class IteratorTestBase {

	protected final static String TEST_STRING = "FROHEOSTERFERIEN";

	protected void assertEquals(Iterator it, char... args) {
		int i = 0;
		while (it.hasNext()) {
			Assert.assertTrue("More elements than expected", i < args.length);
			Assert.assertEquals(args[i++], it.next());
		}
		Assert.assertEquals("Less elements than expected", args.length, i);
	}

}